package org.jeecg.modules.newWarning.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.warning.entity.ConditionDateItem;
import org.jeecg.modules.warning.entity.ConditionItem;
import org.jeecg.modules.warning.entity.Ltd;

import java.util.List;
import java.util.Map;

public interface RealTimeZjMapper extends BaseMapper<Ltd> {
    List<Ltd> selectList(Map<String,Object> map);
    List<Ltd> selectListAndMode(Map<String,Object> map);
    List<Ltd> selectNewOne(@Param("table") String table);
    List<Ltd> selectYData(Map<String,Object> map);
    Ltd selectDate(Map<String,Object> map);
    Ltd selectByTimeAndJh(@Param("time") String time, @Param("table") String table);

    List<Map<String,Object>> selectAllDate(Map<String,Object> map);

    List<ConditionDateItem> getCondition(@Param("startTime") String startTime, @Param("endTime") String endTime, @Param("table") String table);

}
